Skip to main content
Version: API v1

Get meta menu items

GET/v1/menu-meta
API version
v1
Request method
GET
Operation ID
getNavigationMeta

Get the meta for the menu of the customer login

Request​

Responses​

Format
application/json
Description

The menu result

  • errorsarray of objectrequired
    • Array[
      • *object
        • accountstringrequired
        • namestringrequired
        • usagePercentnumber
        • hexCodestring
      ]
  • warningsarray of objectrequired
    • Array[
      • *object
        • accountstringrequired
        • namestringrequired
        • usagePercentnumber
        • hexCodestring
      ]
Content-Type: application/json

{
"errors": [
{
"account": "string",
"name": "string",
"usagePercent": 123,
"hexCode": "string"
}
],
"warnings": [
{
"account": "string",
"name": "string",
"usagePercent": 123,
"hexCode": "string"
}
]
}
{
"type": "object",
"required": [
"errors",
"warnings"
],
"properties": {
"errors": {
"type": "array",
"items": {
"type": "object",
"required": [
"account",
"name"
],
"properties": {
"account": {
"type": "string"
},
"name": {
"type": "string"
},
"usagePercent": {
"type": "number"
},
"hexCode": {
"type": "string"
}
}
}
},
"warnings": {
"type": "array",
"items": {
"type": "object",
"required": [
"account",
"name"
],
"properties": {
"account": {
"type": "string"
},
"name": {
"type": "string"
},
"usagePercent": {
"type": "number"
},
"hexCode": {
"type": "string"
}
}
}
}
}
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v1/menu-meta?skipCache=true

On this page